Bug 469526 - USB module crash when plugging in FG-CU2101 pcmcia adapter
USB module crash when plugging in FG-CU2101 pcmcia adapter
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-01 17:58 EDT by mvegh
Modified: 2009-07-14 10:24 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 10:24:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description mvegh 2008-11-01 17:58:14 EDT
Description of problem:
When inserting (pcmcia) USB 2.0 adapter into my Toshiba Satellite Pro 4300 the keyboard is freezing. The system is still running, but the kbd is dead so the machine is unusable. Kernel oops window is popping up.
The adapter was working earlier!
--------------------------------
It went wrong with latest system updates

Pruduct info of the adapter:
Best Connectivity USB 2.0 CardBus adapter FG-CU-2101
Chipset: uPD720101
Manufacturer:
http://www.speeddragon.com/Default/ProductInfo/Id/73


Version-Release number of selected component (if applicable):
2.6.26.6-79.fc9.i686 #1 SMP Fri Oct 17 14:52:14 EDT 2008 i686 i686 i386 GNU/Linux


Additional info:

BUG: unable to handle kernel NULL pointer dereference at 00000000
IP: [<d4830189>] :ohci_hcd:ohci_run+0x112/0x408
*pde = 02a02067 *pte = 00000000 
Oops: 0002 [#1] SMP 
Modules linked in: aes_i586 aes_generic arc4 ecb crypto_blkcipher zd1211rw mac80211 cfg80211 adm1021 hwmon fuse sunrpc ipt_REJECT nf_conntrack_ipv4 iptable_filter ip_tables ip6t_REJECT xt_tcpudp nf_conntrack_ipv6 xt_state nf_conntrack ip6table_filter ip6_tables x_tables dm_mirror dm_multipath dm_mod savage drm ipv6 ppdev snd_ymfpci gameport snd_ac97_codec ac97_bus snd_seq_dummy parport_pc parport snd_seq_oss snd_seq_midi_event snd_seq toshiba_acpi floppy video snd_pcm_oss output battery snd_mixer_oss snd_pcm snd_opl3_lib snd_timer snd_hwdep snd_page_alloc snd_mpu401_uart ac snd_rawmidi snd_seq_device button snd soundcore donauboe irda pcspkr i2c_piix4 crc_ccitt i2c_core yenta_socket rsrc_nonstatic sg sr_mod cdrom ata_piix pata_acpi ata_generic libata sd_mod scsi_mod ext3 jbd mbcache uhci_hcd ohci_hcd ehci_hcd [last unloaded: microcode]

Pid: 6, comm: events/0 Not tainted (2.6.25.14-108.fc9.i686 #1)
EIP: 0060:[<d4830189>] EFLAGS: 00010246 CPU: 0
EIP is at ohci_run+0x112/0x408 [ohci_hcd]
EAX: 00000000 EBX: cdd8a8ec ECX: 00000040 EDX: 00000000
ESI: cdd8a8ec EDI: 00000000 EBP: d382ef64 ESP: d382ef44
 DS: 007b ES: 007b FS: 00d8 GS: 0000 SS: 0068
Process events/0 (pid: 6, ti=d382e000 task=d383ce70 task.ti=d382e000)
Stack: cdd8a8ec d382ef6c cdd8a8fc cdd8a800 00000003 cdd8a8ec cdd8a8ec cdd8aa8c 
       d382ef80 d483055a cdd8aa94 c04205ea cdd8a8ec 00000000 d48319d7 d382ef90 
       d4831a0b d380e400 cdd8ab34 d382efa8 c0434e31 d380e404 d380e400 d380e404 
Call Trace:
 [<d483055a>] ? ohci_restart+0xdb/0x112 [ohci_hcd]
 [<c04205ea>] ? complete+0x34/0x3e
 [<d48319d7>] ? ohci_quirk_nec_worker+0x0/0x69 [ohci_hcd]
 [<d4831a0b>] ? ohci_quirk_nec_worker+0x34/0x69 [ohci_hcd]
 [<c0434e31>] ? run_workqueue+0x7c/0xfb
 [<c0434f66>] ? worker_thread+0xb6/0xc2
 [<c0437b77>] ? autoremove_wake_function+0x0/0x33
 [<c0434eb0>] ? worker_thread+0x0/0xc2
 [<c0437915>] ? kthread+0x3b/0x61
 [<c04378da>] ? kthread+0x0/0x61
 [<c0406823>] ? kernel_thread_helper+0x7/0x10
 ======================
 ======================Code: 00 8b 5d e0 8b 93 34 02 00 00 8b 43 04 89 50 04 8b 43 04 8b 40 04 89 c8 e8 ac f5 bf eb 8b 43 08 b9 40 00 00 00 89 c2 31 c0 89 d7 <f3> ab 89 d8 be 0a 00 00 00 e8 d3 76 df eb 8b 55 e0 bb 1e 00 00 
EIP: [<d4830189>] ohci_run+0x112/0x408 [ohci_hcd] SS:ESP 0068:d382ef44
---[ end trace b584618cad14fb33 ]---
Comment 1 Jiri Moskovcak 2008-11-03 05:26:33 EST
This is not usbutils fault it seems more like kernel module problem -> reassigning to kernel.
Comment 2 Chuck Ebbert 2008-11-03 13:42:14 EST
The oops you posted was from kernel 2.6.25.14-108.fc9.i686, which is not the latest version.
Comment 3 mvegh 2008-11-05 14:51:34 EST
Yes, with the latest kernel update this problem has been solved:
2.6.26.6-79.fc9.i686 #1 SMP Fri Oct 17 14:52:14 EDT 2008 i686 i686 i386 GNU/Linux

Thanks!
----------------------------------------------------------------------
dmesg dump is here:
...
pccard: CardBus card inserted into slot 1
ohci_hcd 0000:06:00.0: enabling device (0000 -> 0002)
ACPI: PCI Interrupt 0000:06:00.0[A] -> Link [LNKB] -> GSI 11 (level, low) -> IRQ 11
PCI: Setting latency timer of device 0000:06:00.0 to 64
ohci_hcd 0000:06:00.0: OHCI Host Controller
ohci_hcd 0000:06:00.0: new USB bus registered, assigned bus number 2
ohci_hcd 0000:06:00.0: irq 11, io mem 0x2c000000
usb usb2: configuration #1 chosen from 1 choice
hub 2-0:1.0: USB hub found
hub 2-0:1.0: 1 port detected
usb usb2: New USB device found, idVendor=1d6b, idProduct=0001
usb usb2: New USB device strings: Mfr=3, Product=2, SerialNumber=1
usb usb2: Product: OHCI Host Controller
usb usb2: Manufacturer: Linux 2.6.26.6-79.fc9.i686 ohci_hcd
usb usb2: SerialNumber: 0000:06:00.0
ohci_hcd 0000:06:00.1: enabling device (0000 -> 0002)
ACPI: PCI Interrupt 0000:06:00.1[B] -> Link [LNKB] -> GSI 11 (level, low) -> IRQ 11
PCI: Setting latency timer of device 0000:06:00.1 to 64
ohci_hcd 0000:06:00.1: OHCI Host Controller
ohci_hcd 0000:06:00.1: new USB bus registered, assigned bus number 3
ohci_hcd 0000:06:00.1: irq 11, io mem 0x2c001000
usb usb3: configuration #1 chosen from 1 choice
hub 3-0:1.0: USB hub found
hub 3-0:1.0: 1 port detected
usb usb3: New USB device found, idVendor=1d6b, idProduct=0001
usb usb3: New USB device strings: Mfr=3, Product=2, SerialNumber=1
usb usb3: Product: OHCI Host Controller
usb usb3: Manufacturer: Linux 2.6.26.6-79.fc9.i686 ohci_hcd
usb usb3: SerialNumber: 0000:06:00.1
ehci_hcd 0000:06:00.2: enabling device (0000 -> 0002)
ACPI: PCI Interrupt 0000:06:00.2[C] -> Link [LNKB] -> GSI 11 (level, low) -> IRQ 11
ehci_hcd 0000:06:00.2: EHCI Host Controller
ehci_hcd 0000:06:00.2: new USB bus registered, assigned bus number 4
ehci_hcd 0000:06:00.2: irq 11, io mem 0x2c002000
ehci_hcd 0000:06:00.2: USB 2.0 started, EHCI 1.00, driver 10 Dec 2004
usb usb4: configuration #1 chosen from 1 choice
hub 4-0:1.0: USB hub found
hub 4-0:1.0: 2 ports detected
usb usb4: New USB device found, idVendor=1d6b, idProduct=0002
usb usb4: New USB device strings: Mfr=3, Product=2, SerialNumber=1
usb usb4: Product: EHCI Host Controller
usb usb4: Manufacturer: Linux 2.6.26.6-79.fc9.i686 ehci_hcd
usb usb4: SerialNumber: 0000:06:00.2
Comment 4 mvegh 2008-11-05 15:09:40 EST
Huh, guys I recognized that the kernel version is the same now as it was before - when the driver was crashing. I don't know how is it. But it is for sure that the latest update fixed the crash.
Anyway my card is usable now. Thanks again.
M.
Comment 5 Bug Zapper 2009-06-09 23:08:36 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-07-14 10:24:27 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.